
<style type="text/css">
	#webcam-table { width: 450px; }
	#webcam-table td { padding:10px; background-color: #F3F3F3 }
	#webcam-table th { padding: 10px; text-align: right; vertical-align: top; width: 100px; background-color: #ffffcc}
</style>


<style>
	#legend { margin:0 0 10px 0; border: 1px solid #ccc; width:280px; padding:10px }

	#legend .color-expired { height: 20px; width:20px; background-color: #FFBFC8; float:left; border: 1px solid #ccc }
	#legend .color-today { height: 20px; width:20px; background-color: #BFFFC2; float:left; border: 1px solid #ccc }
	#legend .color-tomorrow { height: 20px; width:20px; background-color: #BFC4FF; float:left; border: 1px solid #ccc }

	#legend .text { float:left; margin:3px 10px 0 3px }
</style>

<div id="legend">

	<div class="color-expired"></div>
	<p class="text"> - Expired</p>
	
	<div class="color-today"></div>
	<p class="text"> - Today</p>
	
	<div class="color-tomorrow"></div>
	<p class="text"> - Tomorrow</p>
	
	<div class="clear"></div>

</div>

<table id="webcam-table">
  <tr>
    <th><label>Showname: </label></td>
    <td><b><?= $this->request->showname ?></b></td>
  </tr>
  <tr>
    <th><label>Request Date: </label></td>
    <td><?= date("d M Y", $this->request->date) ?></td>
  </tr>
  <tr>
    <th><label>Inform Method: </label></td>
    <td>
    	<?php 
    		if ( $this->request->inform_method == 1 )
    			echo "Email";
    		else 
    			echo "SMS";
    	?>
    </td>
  </tr>
  
  <!-- ///// -->
  <?php for ( $i = 1; $i <= 3; $i++ ):?>
  <tr>
    <th><label>Date <?= $i ?>: </label></td>
    <td style="<?php  $data = $this->dateOption($this->request->{'date_' . $i}); echo $data['bg_color'];  ?>"><label><?php if ($this->request->{'date_' . $i}): ?><span style="vertical-align: middle; padding-right:10px;"><?= date("d M Y H:i", $this->request->{'date_' . $i}) ?></span><?php if(!$data['is_expired']):?><input style="vertical-align: middle;" type="radio" name="req_date" value="1" /><?php endif;?><?php else:?> - <?php endif; ?></label></td>
  </tr>
  <?php endfor; ?>
  <!-- ///// -->
  
  <tr>
    <th><label>Soft: </label></td>
    <td><?= $this->request->soft ?></td>
  </tr>
  <tr>
    <th><label>Soft Username: </label></td>
    <td><?= $this->request->soft_username ?></td>
  </tr>
  <tr>
    <th><label>Status: </label></td>
    <td>
    	<?php
    		$status = '';
    		if($this->request->status == 1)
				$status = 'PENDING';
			else if ( $this->request->status == 2 )
				$status = 'VERIFY';
			else if ( $this->request->status == 3 )
				$status = 'CONFIRMED';
			else if ( $this->request->status == 4 )
				$status = 'REJECTED';
			echo $status;
	    ?>
    </td>
  </tr>
</table>